Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## netscape.security
Class UserTarget

    java.lang.Object
      |
      +--netscape.security.Target
            |
            +--netscape.security.UserTarget

Direct Known Subclasses:
  ParameterizedTarget

public class UserTarget
extends Target

Dummy class.

Constructor Summary
`UserTarget()`
`UserTarget(java.lang.String s1, Principal p, int i, java.lang.String s2, java.lang.String s3, java.lang.String s4)`
`UserTarget(java.lang.String s1, Principal p, int i, java.lang.String s2, java.lang.String s3, java.lang.String s4, java.lang.String s5)`
`UserTarget(java.lang.String s1, Principal p, int i, java.lang.String s2, java.lang.String s3, java.lang.String s4, java.lang.String s5, Target[] ta)`
`UserTarget(java.lang.String s1, Principal p, int i, java.lang.String s2, java.lang.String s3, java.lang.String s4, Target[] ta)`

Method Summary
`Privilege` | `enablePrivilege(Principal p, java.lang.Object o)`

Methods inherited from class netscape.security.Target
`checkPrivilegeEnabled, checkPrivilegeEnabled, checkPrivilegeEnabled, findTarget, findTarget, findTarget, getDescription, getDetailedInfo, getHelpUrl, getRisk, getRiskColor, getTargetFromDescription, registerTarget`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserTarget

    public UserTarget()

### UserTarget

    public UserTarget(java.lang.String s1,
                      Principal p,
                      int i,
                      java.lang.String s2,
                      java.lang.String s3,
                      java.lang.String s4)

### UserTarget

    public UserTarget(java.lang.String s1,
                      Principal p,
                      int i,
                      java.lang.String s2,
                      java.lang.String s3,
                      java.lang.String s4,
                      Target[] ta)

### UserTarget

    public UserTarget(java.lang.String s1,
                      Principal p,
                      int i,
                      java.lang.String s2,
                      java.lang.String s3,
                      java.lang.String s4,
                      java.lang.String s5)

### UserTarget

    public UserTarget(java.lang.String s1,
                      Principal p,
                      int i,
                      java.lang.String s2,
                      java.lang.String s3,
                      java.lang.String s4,
                      java.lang.String s5,
                      Target[] ta)

Method Detail

### enablePrivilege

    public Privilege enablePrivilege(Principal p,
                                     java.lang.Object o)

  Overrides:
    enablePrivilege in class Target

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 1995-2000 The Cryptix Foundation Ltd. All rights reserved.